Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 161)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 162)
@@ -1618,96 +2242,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniws2
-                  res@trXMaxF            = maxiws2 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "pts2") then
-               minipts2=min(data(varn,:,:))
-               maxipts2=max(data(varn,:,:))                 
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minipts2
-                  res@trXMaxF            = maxipts2
-                  plot_pts2 = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minipts2
-                  res@trXMaxF            = maxipts2 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "ws3") then
-               miniws3=min(data(varn,:,:))
-               maxiws3=max(data(varn,:,:))                 
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniws3
-                  res@trXMaxF            = maxiws3
-                  plot_ws3 = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniws3
-                  res@trXMaxF            = maxiws3 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "Sw") then
-               miniSw=min(data(varn,:,:))
-               maxiSw=max(data(varn,:,:))                 
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniSw
-                  res@trXMaxF            = maxiSw
-                  plot_Sw = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniSw
-                  res@trXMaxF            = maxiSw 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "ws2pts") then
-               miniws2pts=min(data(varn,:,:))
-               maxiws2pts=max(data(varn,:,:))                 
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniws2pts
-                  res@trXMaxF            = maxiws2pts
-                  plot_ws2pts = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniws2pts
-                  res@trXMaxF            = maxiws2pts 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "wspts2") then
-               miniwspts2=min(data(varn,:,:))
-               maxiwspts2=max(data(varn,:,:))                 
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwspts2
-                  res@trXMaxF            = maxiwspts2
-                  plot_wspts2 = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwspts2
-                  res@trXMaxF            = maxiwspts2 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniws2
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiws2
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1723,6 +2273,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsususodz
-                  res@trXMaxF            = maxiwsususodz 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsususodz
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsususodz
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if  
@@ -1737,6 +2303,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwspsodz
-                  res@trXMaxF            = maxiwspsodz 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwspsodz
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwspsodz
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
                end if 
@@ -1751,6 +2333,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpeodz
-                  res@trXMaxF            = maxiwpeodz 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpeodz
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpeodz
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1763,5 +2361,14 @@
       delete(temp) 
    end do
-   
+
+   if (count_var .EQ. 0) then
+      print(" ")
+      print("Please select a variable 'var=' or use the default value")
+      print(" ")
+      print("Your selection '"+var+"' does not exist on the input file")
+      print(" ")
+      exit
+   end if
+
    if (over .EQ. 1 ) then
 
@@ -1836,10 +2443,26 @@
             z = f->$vNam(varn+1)$
            
-            ;res@gsnLeftString      = vNam(varn)
+            res@gsnLeftString      = vNam(varn)
             res@gsnRightString     = unit(varn)
             res@trYMinF            = min_z
             res@trYMaxF            = max_z  
-            res@trXMinF            = min(data(varn,:,:))
-            res@trXMaxF            = max(data(varn,:,:))
+            if (.not. isvar("xs")) then 
+               if (parameter(63) .NE. "x0") then
+                  res@trXMinF = stringtofloat(parameter(63))
+               else
+                  res@trXMinF = min(data(varn,:,:))
+               end if
+            else 
+               res@trXMinF = xs
+            end if
+            if (.not. isvar("xe")) then 
+               if (parameter(65) .NE. "xdim") then
+                  res@trXMaxF = stringtofloat(parameter(65))
+               else
+                  res@trXMaxF = max(data(varn,:,:))
+            end if
+            else 
+               res@trXMaxF = xe  
+            end if 
             plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)  
             
@@ -1848,6 +2471,22 @@
                   res@gsnLeftString      = "u, v and w"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniu,miniv,miniw/))
-                  res@trXMaxF            = max((/maxiu,maxiv,maxiw/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniu,miniv,miniw/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiu,maxiv,maxiw/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if 
                   if (vNam(varn) .EQ. "w") then 
                      plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -1885,6 +2524,22 @@
                   res@gsnLeftString      = "pt, vpt and lpt"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/minipt,minivpt,minilpt/))
-                  res@trXMaxF            = max((/maxipt,maxivpt,maxilpt/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/minipt,minivpt,minilpt/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxipt,maxivpt,maxilpt/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
@@ -1918,6 +2573,22 @@
                   res@gsnLeftString      = "q, qv and ql"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniq,miniqv,miniql/))
-                  res@trXMaxF            = max((/maxiq,maxiqv,maxiql/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniq,miniqv,miniql/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiq,maxiqv,maxiql/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
@@ -1946,20 +2617,28 @@
                   continue   
                end if
-            end if           
-            if (vNam(varn) .EQ. "rho") then
-               plot(n) = plot_rho
-            end if
-            if (vNam(varn) .EQ. "s") then
-               plot(n) = plot_s
-            end if
-            if (vNam(varn) .EQ. "sa") then
-               plot(n) = plot_sa
-            end if
+            end if    
+           
             if (vNam(varn) .EQ. "e" .OR. vNam(varn) .EQ. "es") then
                if (e .EQ. 0) then
                   res@gsnLeftString      = "e and es"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/minie,minies/))
-                  res@trXMaxF            = max((/maxie,maxies/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/minie,minies/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxie,maxies/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
@@ -1993,6 +2672,22 @@
                   res@gsnLeftString      = "km and kh"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/minikm,minikh/))
-                  res@trXMaxF            = max((/maxikm,maxikh/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/minikm,minikh/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxikm,maxikh/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
@@ -2022,13 +2717,27 @@
                end if
             end if           
-            if (vNam(varn) .EQ. "l") then
-               plot(n) = plot_l
-            end if
+           
             if (vNam(varn) .EQ. "wpup" .OR. vNam(varn) .EQ. "wsus" .OR. vNam(varn) .EQ. "wu") then
                if (wpup .EQ. 0) then
                   res@gsnLeftString      = "wpup, wsus and wu"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwpup,miniwsus,miniwu/))
-                  res@trXMaxF            = max((/maxiwpup,maxiwsus,maxiwu/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwpup,miniwsus,miniwu/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwpup,maxiwsus,maxiwu/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2062,6 +2771,22 @@
                   res@gsnLeftString      = "wpvp, wsus and wv"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwpvp,miniwsvs,miniwv/))
-                  res@trXMaxF            = max((/maxiwpvp,maxiwsvs,maxiwv/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwpvp,miniwsvs,miniwv/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwpvp,maxiwsvs,maxiwv/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2095,6 +2820,22 @@
                   res@gsnLeftString      = "wpptp, wspts and wv"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwpptp,miniwspts,miniwpt/))
-                  res@trXMaxF            = max((/maxiwpptp,maxiwspts,maxiwpt/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwpptp,miniwspts,miniwpt/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwpptp,maxiwspts,maxiwpt/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2128,6 +2869,22 @@
                   res@gsnLeftString      = "wsptsBC and wptBC"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwsptsBC,miniwptBC/))
-                  res@trXMaxF            = max((/maxiwsptsBC,maxiwptBC/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwsptsBC,miniwptBC/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwsptsBC,maxiwptBC/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2161,6 +2918,22 @@
                   res@gsnLeftString      = "wpvptp, wsvpts and wv"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwpvptp,miniwsvpts,miniwvpt/))
-                  res@trXMaxF            = max((/maxiwpvptp,maxiwsvpts,maxiwvpt/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwpvptp,miniwsvpts,miniwvpt/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwpvptp,maxiwsvpts,maxiwvpt/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2194,6 +2967,22 @@
                   res@gsnLeftString      = "wpqp, wsqs and wq"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwpqp,miniwsqs,miniwq/))
-                  res@trXMaxF            = max((/maxiwpqp,maxiwsqs,maxiwq/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwpqp,miniwsqs,miniwq/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwpqp,maxiwsqs,maxiwq/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2227,6 +3016,22 @@
                   res@gsnLeftString      = "wpqvp, wsqvs and wqv"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwpqp,miniwsqvs,miniwqv/))
-                  res@trXMaxF            = max((/maxiwpqp,maxiwsqvs,maxiwqv/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwpqp,miniwsqvs,miniwqv/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwpqp,maxiwsqvs,maxiwqv/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2260,6 +3065,22 @@
                   res@gsnLeftString      = "wpsp, wsss and ws"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwpsp,miniwsss,miniws/))
-                  res@trXMaxF            = max((/maxiwpsp,maxiwsss,maxiws/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwpsp,miniwsss,miniws/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwpsp,maxiwsss,maxiws/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2293,6 +3114,22 @@
                   res@gsnLeftString      = "wpsap, wssas and wsa"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwpsap,miniwssas,miniwsa/))
-                  res@trXMaxF            = max((/maxiwpsap,maxiwssas,maxiwsa/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwpsap,miniwssas,miniwsa/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwpsap,maxiwssas,maxiwsa/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2322,13 +3159,27 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wses") then
-               plot(n) = plot_wses
-            end if
+          
             if (vNam(varn) .EQ. "us2" .OR. vNam(varn) .EQ. "vs2" .OR. vNam(varn) .EQ. "ws2") then
                if (us2 .EQ. 0) then
                   res@gsnLeftString      = "us2, vs2 and ws2"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/minius2,minivs2,miniws2/))
-                  res@trXMaxF            = max((/maxius2,maxivs2,maxiws2/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/minius2,minivs2,miniws2/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxius2,maxivs2,maxiws2/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2358,25 +3209,27 @@
                end if
             end if
-            if (vNam(varn) .EQ. "pts2") then
-               plot(n) = plot_pts2 
-            end if
-            if (vNam(varn) .EQ. "ws3") then
-               plot(n) = plot_ws3
-            end if
-            if (vNam(varn) .EQ. "Sw") then
-               plot(n) = plot_Sw
-            end if
-            if (vNam(varn) .EQ. "ws2pts") then
-               plot(n) = plot_ws2pts
-            end if
-            if (vNam(varn) .EQ. "wspts2") then
-               plot(n) = plot_wspts2 
-            end if
+           
             if (vNam(varn) .EQ. "wsususodz" .OR. vNam(varn) .EQ. "wspsodz" .OR. vNam(varn) .EQ. "wpeodz" ) then
                if (wsususodz .EQ. 0) then 
                   res@gsnLeftString      = "wsususodz, wspsodz and ws2"
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min((/miniwsususodz,miniwspsodz,miniwpeodz/))
-                  res@trXMaxF            = max((/maxiwsususodz,maxiwspsodz,maxiwpeodz/))
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF = min((/miniwsususodz,miniwspsodz,miniwpeodz/))
+                     end if
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF = max((/maxiwsususodz,maxiwspsodz,maxiwpeodz/))
+                     end if
+                  else 
+                     res@trXMaxF = xe  
+                  end if
 
                   plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
@@ -2449,6 +3302,22 @@
                      res@gsnLeftString  = c_var
                      res@gsnRightString = unit(varn)
-                     res@trXMinF        = min(mini)
-                     res@trXMaxF        = max(maxi)
+                     if (.not. isvar("xs")) then 
+                        if (parameter(63) .NE. "x0") then
+                           res@trXMinF = stringtofloat(parameter(63))
+                        else
+                           res@trXMinF = min(mini)
+                        end if
+                     else 
+                        res@trXMinF = xs
+                     end if
+                     if (.not. isvar("xe")) then 
+                        if (parameter(65) .NE. "xdim") then
+                           res@trXMaxF = stringtofloat(parameter(65))
+                        else
+                           res@trXMaxF = max(maxi)
+                        end if
+                     else 
+                        res@trXMaxF = xe  
+                     end if 
                   end if
                end if
@@ -2496,5 +3365,5 @@
    ; merge plots onto one page 
    ; ***************************************************
- print(n)
+
    do m=0,n-1
       plot_(m)=plot(n-1-m)
